## org.mortbay.util
Class ByteArrayPool

    java.lang.Object
      |
      +--org.mortbay.util.ByteArrayPool

public class ByteArrayPool
extends java.lang.Object

Byte Array Pool Simple pool for recycling byte arrays of a fixed size.

Version:
  $Id: ByteArrayPool.java,v 1.7 2002/12/14 13:03:06 bretts Exp $
Author:
  Greg Wilkins (gregw)

Field Summary
`static int` `__POOL_SIZE`
`static java.lang.ThreadLocal` `__pools`
`static int` `__slot`

Constructor Summary
`ByteArrayPool()`

Method Summary
`static byte[]` `getByteArray(int size)` Get a byte array from the pool of known size.
`static void` `returnByteArray(byte[] b)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __POOL_SIZE

    public static final int __POOL_SIZE

### __pools

    public static final java.lang.ThreadLocal __pools

### __slot

    public static int __slot

Constructor Detail

### ByteArrayPool

    public ByteArrayPool()

Method Detail

### getByteArray

    public static byte[] getByteArray(int size)

  Get a byte array from the pool of known size.

  Parameters:
    `size` - Size of the byte array.
  Returns:
    Byte array of known size.

### returnByteArray

    public static void returnByteArray(byte[] b)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.